aboutsummaryrefslogtreecommitdiff
path: root/package/gdb/Config.in.host
blob: 3a0baa1b86288171f483a784f3ade8a1e0a2a4da (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
config BR2_PACKAGE_HOST_GDB
	bool "Build cross gdb for the host"
	# When the external toolchain gdbserver is used, we shouldn't
	# allow to build a cross-gdb, as the one of the external
	# toolchain should be used.
	depends on !BR2_TOOLCHAIN_EXTERNAL_GDB_SERVER_COPY
	depends on !BR2_aarch64 && !BR2_nios2
	help
	  Build a cross gdb that runs on the host machine and debugs
	  programs running on the target. It requires 'gdbserver'
	  installed on the target, see BR2_PACKAGE_GDB_SERVER to
	  enable it.

if BR2_PACKAGE_HOST_GDB

config BR2_PACKAGE_HOST_GDB_TUI
	bool "TUI support"
	help
	  This option enables terminal user interface (TUI) for gdb

config BR2_PACKAGE_HOST_GDB_PYTHON
	bool "Python support"
	help
	  This option enables the Python support in the cross gdb.

choice
	prompt "GDB debugger Version"
	depends on !BR2_arc
	depends on !BR2_microblaze
	default BR2_GDB_VERSION_7_8
	help
	  Select the version of gdb you wish to use.

	config BR2_GDB_VERSION_7_7
		bool "gdb 7.7.x"

	config BR2_GDB_VERSION_7_8
		bool "gdb 7.8.x"

	config BR2_GDB_VERSION_7_9
		bool "gdb 7.9.x"

endchoice

endif

# If cross-gdb is not enabled, the latest working version is chosen.
config BR2_GDB_VERSION
	string
	depends on BR2_PACKAGE_GDB || BR2_PACKAGE_HOST_GDB
	default "arc-2014.12-gdb" if BR2_arc
	default "6be65fb56ea6694a9260733a536a023a1e2d4d57" if BR2_microblaze
	default "7.7.1"    if BR2_GDB_VERSION_7_7
	default "7.8.2"	   if BR2_GDB_VERSION_7_8 || !BR2_PACKAGE_HOST_GDB
	default "7.9"      if BR2_GDB_VERSION_7_9